View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003694Studio Archive[All Projects] SpritesPublic2012-05-23 03:142015-07-07 16:49
Assigned ToScott Dunbar 
PriorityVery HighSeverityB - MajorReproducibility100%
PlatformOSOS Version
Summary0003694: Separate Collision Masks per subimage Not Working
DescriptionAs it says in the summary, when you tick the option to use separate collision masks in the sprite editor, the feature doesn't actually work in-game, at all.

A collision Event will fire whether the editor creates a mask for the sprite that frame or not, and it doesn't matter at all what the editor says that collision mask is supposed to look like.

Precise collisions is UNchecked, with an automatic bounding box and a rectangle shape.

This feature just plain doesn't work at all.
GM Version
Attached Files

- Relationships

-  Notes
Mike Dailly (Manager)
2012-05-23 09:34

This is probably a GUI issue. If you don't have Precise collision, then separate masks won't do anything. Really, you shouldn't be able to tick use separate masks if you haven't ticked Precise collisions.
Scott Dunbar (Updater)
2012-05-23 11:09

fixed for 1.0.203 - GUI now updates to disable the seperate collision masks options

- Issue History
Date Modified Username Field Change
2012-05-23 03:14 GStick New Issue
2012-05-23 09:34 Mike Dailly Note Added: 0002557
2012-05-23 09:34 Mike Dailly Assigned To => Scott Dunbar
2012-05-23 09:34 Mike Dailly Status New => Assigned
2012-05-23 11:09 Scott Dunbar Note Added: 0002582
2012-05-23 11:09 Scott Dunbar Status Assigned => Resolved
2012-05-23 11:09 Scott Dunbar Resolution Open => Fixed
2013-03-05 16:15 Ross Manthorp Status Resolved => Closed
2015-07-07 16:49 Daniel Cleaton Project GameMaker: Studio => Studio Archive

Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker